Skip to content

What an id is, within one institution

GET
/v1/issuers/{id}/find
curl --request GET \
--url 'https://api.hardstate.net/v1/issuers/example/find?q=example'

Matches a key’s public code or id, a department (id or name), a case, or an event (hash or #seq). Public, like everything it can find: it never knows anyone’s name.

id
required
string
/^[a-z0-9][a-z0-9-]{1,62}[a-z0-9]$/
q
required
string
<= 200 characters

{ issuer, q, matches: [{ kind: event|key|dept|case, … }] }

Error

Media typeapplication/json
object
error
string

Example generated

{
"error": "example"
}

Error

Media typeapplication/json
object
error
string

Example generated

{
"error": "example"
}

HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.